ON_MeshFace Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h>`

## Public Member Functions

bool | IsTriangle () const
bool | IsQuad () const
bool | IsValid (int mesh_vertex_count) const
bool | IsValid (int mesh_vertex_count, const ON_3fPoint *V) const
bool | IsValid (int mesh_vertex_count, const ON_3dPoint *V) const
void | Flip ()
bool | Repair (int mesh_vertex_count)
bool | Repair (int mesh_vertex_count, const ON_3fPoint *V)
bool | Repair (int mesh_vertex_count, const ON_3dPoint *V)
bool | ComputeFaceNormal (const ON_3dPoint *dV, ON_3dVector &FN) const
bool | ComputeFaceNormal (const ON_3fPoint *fV, ON_3dVector &FN) const

## Public Attributes

int | vi [4]

## Detailed Description

Definition at line 416 of file opennurbs_mesh.h.

## Member Function Documentation

bool ON_MeshFace::ComputeFaceNormal | ( | const ON_3dPoint * | dV,
|  | ON_3dVector & | FN
| ) |  | const

bool ON_MeshFace::ComputeFaceNormal | ( | const ON_3fPoint * | fV,
|  | ON_3dVector & | FN
| ) |  | const

void ON_MeshFace::Flip | ( |  | ) |

bool ON_MeshFace::IsQuad | ( |  | ) | const

bool ON_MeshFace::IsTriangle | ( |  | ) | const

bool ON_MeshFace::IsValid | ( | int | mesh_vertex_count | ) | const

bool ON_MeshFace::IsValid | ( | int | mesh_vertex_count,
|  | const ON_3fPoint * | V
| ) |  | const

bool ON_MeshFace::IsValid | ( | int | mesh_vertex_count,
|  | const ON_3dPoint * | V
| ) |  | const

bool ON_MeshFace::Repair | ( | int | mesh_vertex_count | ) |

bool ON_MeshFace::Repair | ( | int | mesh_vertex_count,
|  | const ON_3fPoint * | V
| ) |  |

bool ON_MeshFace::Repair | ( | int | mesh_vertex_count,
|  | const ON_3dPoint * | V
| ) |  |

## Member Data Documentation

int ON_MeshFace::vi[4]

Definition at line 419 of file opennurbs_mesh.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h